"{ Package: 'stx:libbasic' }"

ExternalBytes subclass:#UnprotectedExternalBytes
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Support'
!

!UnprotectedExternalBytes class methodsFor:'documentation'!

documentation
"
    This is just a factory to generate ExternalBytes.
    There are no instances of this class!!

    The difference to ExternalBytes is, that #new: returns unprotected ExternalBytes,
    that are not protected from garbage collecteded. ExternalBytes allocated #with new:
    are not garbage collected.

    [author:]
        Stefan Vogel

    [see also:]
        ExternalBytes
"
! !

!UnprotectedExternalBytes class methodsFor:'instance creation'!

new
    "return ExternalBytes"

    ^ ExternalBytes new
!

new:size
    "return unprotected ExternalBytes"

    ^ ExternalBytes unprotectedNew:size
! !

!UnprotectedExternalBytes class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/UnprotectedExternalBytes.st,v 1.1 2002-04-09 15:23:15 stefan Exp $'
! !
